| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Static Public Member Functions | List of all members
IG.Num.VectorExtensions Class Reference

Extension methods for vector classes. More...

## Static Public Member Functions
static string | ToString (this IVector vec)
| Returns a string representation of the current vector in a standard IGLib form. Extension method for IVector interface. More...
static string | ToStringMath (IVector vec)
| Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IVector interface. More...
static string | ToString (this IVector vec, string elementFormat)
| Returns a string representation of the current vector in a standard IGLib form, with the specified format for elements of the vector. Extension method for IVector interface. More...
static string | ToStringMath (IVector vec, string elementFormat)
| Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers), with the specified format for elements of the vector. Extension method for IVector interface. More...

## Detailed Description

Extension methods for vector classes.

$A Igor Apr11;

## Member Function Documentation

static string IG.Num.VectorExtensions.ToString | ( | this IVector | vec | ) |
| inline static

Returns a string representation of the current vector in a standard IGLib form. Extension method for IVector interface.

Parameters

  vec | Vector whose string representation is returned.

References IG.Num.VectorBase.ToString().

static string IG.Num.VectorExtensions.ToStringMath | ( | IVector | vec | ) |
| inline static

Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IVector interface.

Parameters

  vec | Vector whose string representation is returned.

References IG.Num.VectorBase.ToStringMath().

static string IG.Num.VectorExtensions.ToString | ( | this IVector | vec,
|  | string | elementFormat
| ) |  |
| inline static

Returns a string representation of the current vector in a standard IGLib form, with the specified format for elements of the vector. Extension method for IVector interface.

Parameters

  vec | Vector whose string representation is returned.
  elementFormat | Format specification for printing individual element.

References IG.Num.VectorBase.ToString().

static string IG.Num.VectorExtensions.ToStringMath | ( | IVector | vec,
|  | string | elementFormat
| ) |  |
| inline static

Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers), with the specified format for elements of the vector. Extension method for IVector interface.

Parameters

  vec | Vector whose string representation is returned.
  elementFormat | Format specification for printing individual element.

References IG.Num.VectorBase.ToStringMath().

The documentation for this class was generated from the following file:

- igbase/numeric/VectorBase.cs